net.corda.node.services.config

## Class ConfigHelper

- net.corda.node.services.config.ConfigHelper

-     public class ConfigHelper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ConfigHelper` | `INSTANCE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.typesafe.config.Config` | `loadConfig(java.nio.file.Path baseDirectory, java.nio.file.Path configFile, boolean allowMissingConfig, java.util.Map<java.lang.String,? extends java.lang.Object> configOverrides)`

- - ### Field Detail

    - #### INSTANCE

          public static ConfigHelper INSTANCE

  - ### Method Detail

    - #### loadConfig

          public com.typesafe.config.Config loadConfig(java.nio.file.Path baseDirectory,
                                                       java.nio.file.Path configFile,
                                                       boolean allowMissingConfig,
                                                       java.util.Map<java.lang.String,? extends java.lang.Object> configOverrides)